# Presets

> The permission presets a contact or an invite can be put on

## The permission presets a contact or an invite can be put on

`GET /v1/presets` · operation `listPresets`

Requires the `batondeck:identities:read` permission (action `identity:list`).

**Responses**

| Status | Meaning |
|---|---|
| 200 | The permission presets a contact or an invite can be put on |
| 401 | No portal session, and no live API key. |
| 403 | The policy refused, or the request was cross-site. |
| 404 | No such resource, or none this session may see. |

<details>
<summary>200 response schema</summary>

```json
{
  "type": "object",
  "properties": {
    "presets": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string"
          },
          "permissions": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        },
        "required": [
          "name",
          "permissions"
        ],
        "additionalProperties": false
      }
    },
    "permissions": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  },
  "required": [
    "presets",
    "permissions"
  ],
  "additionalProperties": false
}
```

</details>

```sh
curl -X GET 'https://api.batondeck.com/v1/presets' \
  -H "Authorization: Bearer $BATONDECK_API_KEY"
```
